> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/ping-site-1.md).

# Ping Site

List all ping sites

## GET /v3/pingsite

> Get all available ping site

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"PingSite","description":"List all ping sites"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"PingSite":{"type":"object","required":["continentId","continentName","countryId","country","dcLocationId","dcLocationName","hostname","ipv4","ipv6"],"properties":{"continentId":{"type":"integer","format":"integer","description":"The ID of the continent"},"continentName":{"type":"string","format":"","description":"The name of the continent"},"countryId":{"type":"integer","format":"integer","description":"The ID of the country"},"country":{"type":"string","format":"","description":"The name of the country"},"dcLocationId":{"type":"integer","format":"integer","description":"The ID of the data center. Find all possible values from `GET /cloud/dcLocation`"},"dcLocationName":{"type":"string","format":"","description":"The name of the data center. Find all possible values from `GET /cloud/dcLocation`"},"hostname":{"type":"string","format":"","description":"The host name of the ping server in this data center","readOnly":true},"ipv4":{"type":"array","items":{"type":"string","format":""},"description":"List of ip address of ip version 4","readOnly":true,"deprecated":true},"ipv6":{"type":"array","items":{"type":"string","format":""},"description":"List of ip address of ip version 6","readOnly":true,"deprecated":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/pingsite":{"get":{"tags":["PingSite"],"summary":"Get all available ping site","operationId":"getPingSiteAction","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PingSite"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/pingsite/detail

> Get all available ping site its detail beacon information

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"PingSite","description":"List all ping sites"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"PingSiteDetail":{"type":"object","required":["continentId","continentName","countryId","countryName","dcLocationId","dcLocationName","regionName","beacons"],"properties":{"continentId":{"type":"integer","format":"integer","description":"The ID of the continent","readOnly":true},"continentName":{"type":"string","format":"","description":"The name of the continent","readOnly":true},"countryId":{"type":"integer","format":"integer","description":"The ID of the country","readOnly":true},"countryName":{"type":"string","format":"","description":"The name of the country","readOnly":true},"dcLocationId":{"type":"integer","format":"integer","description":"The ID of the data center. Find all possible values from `GET /cloud/dcLocation`","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The name of the data center. Find all possible values from `GET /cloud/dcLocation`","readOnly":true},"regionName":{"type":"string","format":"","description":"The region name of the ping server in this data center","readOnly":true},"beacons":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteDetailBeacon"},"description":"The list of available beacons"}},"additionalProperties":false},"PingSiteDetailBeacon":{"type":"object","required":["hostName","state","ip"],"properties":{"hostName":{"type":"string","format":"","description":"The host name of the ping server in this data center","readOnly":true},"state":{"type":"string","format":"","description":"The state of the beacon","readOnly":true},"ip":{"type":"string","format":"","description":"The IP address of the beacon","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/pingsite/detail":{"get":{"tags":["PingSite"],"summary":"Get all available ping site its detail beacon information","operationId":"getPingSiteDetailAction","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteDetail"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/pingsite/latency

> Get all available ping site latency

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"PingSite","description":"List all ping sites"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"PingSiteLatencyModel":{"type":"object","required":["authStatus","authservice","authuser","responseTime","status","response","serverTime"],"properties":{"authStatus":{"type":"boolean"},"authservice":{"type":"boolean"},"authuser":{"type":"boolean"},"responseTime":{"type":"number","format":"float"},"status":{"type":"string","format":""},"response":{"$ref":"#/components/schemas/PingSiteLatencyResponseModel"},"serverTime":{"type":"string","format":""}},"additionalProperties":false},"PingSiteLatencyResponseModel":{"type":"object","required":["rpmRaw","features","routerPoints"],"properties":{"rpmRaw":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteLatencyRpmRawModel"}},"features":{"$ref":"#/components/schemas/PingSiteLatencyFeaturesModel"},"routerPoints":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteLatencyRouterPointModel"}}},"additionalProperties":false},"PingSiteLatencyRpmRawModel":{"type":"object","required":["link","latency5m","latency1d","latency1w","latency30d","jitter","packetloss5m","packetloss1d","packetloss1w","packetloss30d","sourceRegion","source","destinationRegion","destination"],"properties":{"link":{"type":"string","format":""},"latency5m":{"type":"string","format":""},"latency1d":{"type":"string","format":""},"latency1w":{"type":"string","format":""},"latency30d":{"type":"string","format":""},"jitter":{"type":"string","format":""},"packetloss5m":{"type":"string","format":""},"packetloss1d":{"type":"string","format":""},"packetloss1w":{"type":"string","format":""},"packetloss30d":{"type":"string","format":""},"sourceRegion":{"type":"boolean"},"source":{"$ref":"#/components/schemas/PingSiteLatencyCoordinatesModel"},"destinationRegion":{"type":"boolean"},"destination":{"$ref":"#/components/schemas/PingSiteLatencyCoordinatesModel"}},"additionalProperties":false},"PingSiteLatencyCoordinatesModel":{"type":"object","required":["lat","lng"],"properties":{"lat":{"type":"string","format":""},"lng":{"type":"string","format":""}},"additionalProperties":false},"PingSiteLatencyFeaturesModel":{"type":"object","required":["ok","down","loss"],"properties":{"ok":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteLatencyConnectionModel"}},"down":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteLatencyConnectionModel"}},"loss":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteLatencyConnectionModel"}}},"additionalProperties":false},"PingSiteLatencyConnectionModel":{"type":"object","required":["type","properties","geometry"],"properties":{"type":{"type":"string","format":""},"properties":{"$ref":"#/components/schemas/PingSiteLatencyPropertyModel"},"geometry":{"$ref":"#/components/schemas/PingSiteLatencyFeaturesGeometryModel"}},"additionalProperties":false},"PingSiteLatencyPropertyModel":{"type":"object","required":["link","description"],"properties":{"link":{"type":"string","format":""},"description":{"type":"string","format":""}},"additionalProperties":false},"PingSiteLatencyFeaturesGeometryModel":{"type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","format":""},"coordinates":{"type":"array","items":{"type":"array","items":{"type":"number","format":"float"}}}},"additionalProperties":false},"PingSiteLatencyRouterPointModel":{"type":"object","required":["type","properties","geometry"],"properties":{"type":{"type":"string","format":""},"properties":{"$ref":"#/components/schemas/PingSiteLatencyPropertyModel"},"geometry":{"$ref":"#/components/schemas/PingSiteLatencyRouterPointGeometryModel"}},"additionalProperties":false},"PingSiteLatencyRouterPointGeometryModel":{"type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","format":""},"coordinates":{"type":"array","items":{"type":"number","format":"float"}}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/pingsite/latency":{"get":{"tags":["PingSite"],"summary":"Get all available ping site latency","operationId":"getPingSiteLatencyAction","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PingSiteLatencyModel"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/api-references/general/ping-site-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
